# Loki::CyclicVisitor< R, TList > Class Template Reference
[Visitor]

`#include <Visitor.h>`

Inheritance diagram for Loki::CyclicVisitor< R, TList >:
[legend]
Collaboration diagram for Loki::CyclicVisitor< R, TList >:
[legend]

List of all members.

## Detailed Description

### template<typename R, class TList>
class Loki::CyclicVisitor< R, TList >

Put it in every class that you want to make visitable (in addition to deriving it from BaseVisitable<R>

The documentation for this class was generated from the following file:

- Visitor.h